Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.ui.portlet.user
Class UserPortletConstants

    java.lang.Object
      org.jboss.portal.core.ui.portlet.user.UserPortletConstants

    public class UserPortletConstants

extends java.lang.Object

Author:
  Thomas Heute $Revision: 8786 $

Field Summary
`static java.lang.String` | `CK_PASS`
`static java.lang.String` | `CK_USERNAME`
`static java.lang.String` | `DEFAULT_IMAGES_PATH`
`static java.lang.String` | `DEFAULT_ROLE`
`static int` | `DEFAULT_USERSPERPAGE`
`static java.lang.String` | `EMAILFROM`
`static java.lang.String` | `ERRORMESSAGE`
`static java.lang.String` | `HASH`
`static java.lang.String` | `INFOMESSAGE`
`static int` | `LOGIN_STATUS_BAD_PASSWORD`
`static int` | `LOGIN_STATUS_INVALID_NAME`
`static int` | `LOGIN_STATUS_NO_SUCH_USER`
`static int` | `LOGIN_STATUS_OK`
`static int` | `LOGIN_STATUS_UNEXPECTED_ERROR`
`static int` | `LOGIN_STATUS_USER_DISABLED`
`static int` | `PERMANENT_USER_MAX_INACTIVE`
`static java.lang.String` | `SALT`
`static java.lang.String` | `SUBSCRIPTIONMODE`
`static java.lang.String` | `SUBSCRIPTIONMODE_AUTOMATIC`
`static java.lang.String` | `SUBSCRIPTIONMODE_EMAILVERIFICATION`
`static java.lang.String[]` | `TIME_ZONE_OFFSETS` Timezone information : ((value + 1) * 2) - 1 = 2 * value + 1
`static int` | `TRANSIENT_USER_MAX_INACTIVE`
`static java.lang.String` | `USERID`

Constructor Summary
`UserPortletConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SALT

    public static final java.lang.String SALT

See Also:
  Constant Field Values

### INFOMESSAGE

    public static final java.lang.String INFOMESSAGE

See Also:
  Constant Field Values

### ERRORMESSAGE

    public static final java.lang.String ERRORMESSAGE

See Also:
  Constant Field Values

### CK_USERNAME

    public static java.lang.String CK_USERNAME

### CK_PASS

    public static java.lang.String CK_PASS

### DEFAULT_USERSPERPAGE

    public static int DEFAULT_USERSPERPAGE

### LOGIN_STATUS_OK

    public static final int LOGIN_STATUS_OK

See Also:
  Constant Field Values

### LOGIN_STATUS_BAD_PASSWORD

    public static final int LOGIN_STATUS_BAD_PASSWORD

See Also:
  Constant Field Values

### LOGIN_STATUS_NO_SUCH_USER

    public static final int LOGIN_STATUS_NO_SUCH_USER

See Also:
  Constant Field Values

### LOGIN_STATUS_USER_DISABLED

    public static final int LOGIN_STATUS_USER_DISABLED

See Also:
  Constant Field Values

### LOGIN_STATUS_INVALID_NAME

    public static final int LOGIN_STATUS_INVALID_NAME

See Also:
  Constant Field Values

### LOGIN_STATUS_UNEXPECTED_ERROR

    public static final int LOGIN_STATUS_UNEXPECTED_ERROR

See Also:
  Constant Field Values

### PERMANENT_USER_MAX_INACTIVE

    public static final int PERMANENT_USER_MAX_INACTIVE

See Also:
  Constant Field Values

### TRANSIENT_USER_MAX_INACTIVE

    public static final int TRANSIENT_USER_MAX_INACTIVE

See Also:
  Constant Field Values

### HASH

    public static final java.lang.String HASH

See Also:
  Constant Field Values

### USERID

    public static final java.lang.String USERID

See Also:
  Constant Field Values

### EMAILFROM

    public static final java.lang.String EMAILFROM

See Also:
  Constant Field Values

### SUBSCRIPTIONMODE

    public static final java.lang.String SUBSCRIPTIONMODE

See Also:
  Constant Field Values

### SUBSCRIPTIONMODE_AUTOMATIC

    public static final java.lang.String SUBSCRIPTIONMODE_AUTOMATIC

See Also:
  Constant Field Values

### SUBSCRIPTIONMODE_EMAILVERIFICATION

    public static final java.lang.String SUBSCRIPTIONMODE_EMAILVERIFICATION

See Also:
  Constant Field Values

### DEFAULT_ROLE

    public static final java.lang.String DEFAULT_ROLE

See Also:
  Constant Field Values

### TIME_ZONE_OFFSETS

    public static final java.lang.String[] TIME_ZONE_OFFSETS

  Timezone information : ((value + 1) * 2) - 1 = 2 * value + 1

### DEFAULT_IMAGES_PATH

    public static final java.lang.String DEFAULT_IMAGES_PATH

See Also:
  Constant Field Values

Constructor Detail

### UserPortletConstants

    public UserPortletConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD